# TdApi.InternalLinkTypeQrCodeAuthentication (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: InternalLinkTypeQrCodeAuthentication

Package it.tdlight.jni

# Class TdApi.InternalLinkTypeQrCodeAuthentication

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InternalLinkType
it.tdlight.jni.TdApi.InternalLinkTypeQrCodeAuthentication

Enclosing class:
  TdApi

    public static class TdApi.InternalLinkTypeQrCodeAuthentication
    extends TdApi.InternalLinkType

The link can be used to login the current user on another device, but it must be scanned from QR-code using in-app camera. An alert similar to "This code can be used to allow someone to log in to your Telegram account. To confirm Telegram login, please go to Settings > Devices > Scan QR and scan the code" needs to be shown.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`InternalLinkTypeQrCodeAuthentication()` | The link can be used to login the current user on another device, but it must be scanned from QR-code using in-app camera.
`InternalLinkTypeQrCodeAuthentication​(DataInput input)` | The link can be used to login the current user on another device, but it must be scanned from QR-code using in-app camera.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### InternalLinkTypeQrCodeAuthentication

public InternalLinkTypeQrCodeAuthentication()
The link can be used to login the current user on another device, but it must be scanned from QR-code using in-app camera. An alert similar to "This code can be used to allow someone to log in to your Telegram account. To confirm Telegram login, please go to Settings > Devices > Scan QR and scan the code" needs to be shown.

### InternalLinkTypeQrCodeAuthentication

public InternalLinkTypeQrCodeAuthentication​(DataInput input) throws IOException
The link can be used to login the current user on another device, but it must be scanned from QR-code using in-app camera. An alert similar to "This code can be used to allow someone to log in to your Telegram account. To confirm Telegram login, please go to Settings > Devices > Scan QR and scan the code" needs to be shown.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`